<?php
class Ittweb_Cvetta_Block_Exportbutton extends Mage_Adminhtml_Block_System_Config_Form_Field
{

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        $this->setElement($element);

        $html = '<script type="text/javascript">
            //<![CDATA[
            function cVettaExport() {
				new Ajax.Request("'.$this->getUrl('adminhtml/cvetta_ajax/syncronize').'", {
                    method: "get",
                    onSuccess: function(transport){
                        if (transport.responseText){
                            alert(transport.responseText);
                        }
                    },
                    onFailure: function(response) {
                        console.log("Error on ajax request", response);
                        alert("Errore: impossibile completare la sincronizzazione");
                    }
                });
            }
            //]]>
            </script>';
        $button = $this->getLayout()->createBlock('adminhtml/widget_button')
                    ->setType('button')
                    ->setLabel($this->__('Syncronize catalogue'))
                    ;

        $lockfile = Mage::getBaseDir('var') . '/locks/cvetta.lock';
        if (file_exists($lockfile)) {
            $button->setLabel($this->__('File lock presente - Rigenera'));//->setDisabled(true);
        }
        $button->setOnClick("javascript:cVettaExport(); return false;");

        return $html . $button->toHtml();
    }
}